## org.mortbay.start
Class Classpath

    java.lang.Object
      org.mortbay.start.Classpath

    public class Classpath

extends Object

Class to handle CLASSPATH construction

Author:
  Jan Hlavaty

Constructor Summary
`Classpath()`
`Classpath(String initial)`

Method Summary
`boolean` `addClasspath(String s)`
`boolean` `addComponent(File component)`
`boolean` `addComponent(String component)`
`static String` `encodeFileURL(String path)`
`ClassLoader` `getClassLoader()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Classpath

    public Classpath()

### Classpath

    public Classpath(String initial)

Method Detail

### addComponent

    public boolean addComponent(String component)

### addComponent

    public boolean addComponent(File component)

### addClasspath

    public boolean addClasspath(String s)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getClassLoader

    public ClassLoader getClassLoader()

### encodeFileURL

    public static String encodeFileURL(String path)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.